commit f8e37478914884d88c800cf23cf882521f587c04
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Aug 31 11:25:53 2021

    libstdc++: Fix 17_intro/names.cc failures on Solaris
    
    Signed-off-by: Jonathan Wakely <jwakely@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/17_intro/names.cc: Undefine some more names used
            by Solaris system headers.
    
    (cherry picked from commit 69b09c5599b201ac039db564c303f7b20d87e0df)

diff --git a/libstdc++-v3/testsuite/17_intro/names.cc b/libstdc++-v3/testsuite/17_intro/names.cc
index 624e3ed9ccf..226b2d9c24a 100644
--- a/libstdc++-v3/testsuite/17_intro/names.cc
+++ b/libstdc++-v3/testsuite/17_intro/names.cc
@@ -217,6 +217,12 @@
 #endif
 
 #ifdef __sun__
+// <fenv.h> defines these as members of fex_numeric_t
+#undef l
+#undef f
+#undef d
+#undef q
+#undef p
 // See https://gcc.gnu.org/ml/libstdc++/2019-05/msg00175.html
 #undef ptr
 #endif

